package com.aucma.base.domain;

import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.aucma.common.annotation.Excel;
import com.aucma.common.core.domain.BaseEntity;

/**
 * 入库记录对象 record_instore
 *
 * @author Yinq
 * @date 2023-09-21
 */
public class RecordInStore extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 主键标识
     *
     */
    private Long objId;

    /**
     * 仓库编号
     */
    @Excel(name = "仓库编号")
    private String storeCode;

    /**
     * 仓库区域
     */
    @Excel(name = "仓库区域")
    private String storeArea;

    /**
     * 货道编号
     */
    @Excel(name = "货道编号")
    private String spaceCode;

    /**
     * 物料类型
     */
    @Excel(name = "物料类型")
    private String materialType;

    /**
     * 物料编号
     */
    @Excel(name = "物料编号")
    private String materialCode;

    /**
     * 入库数量
     */
    @Excel(name = "入库数量")
    private Long inStoreAmount;

    /**
     * 入库时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "入库时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date inStoreTime;

    /**
     * 是否标识
     */
    @Excel(name = "是否标识")
    private Long isFlag;

    /**
     * 创建人
     */
    @Excel(name = "创建人")
    private String createdBy;

    /**
     * 创建时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "创建时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date createdTime;

    /**
     * 更新人
     */
    @Excel(name = "更新人")
    private String updatedBy;

    /**
     * 更新时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "更新时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date updatedTime;

    /**
     * 物料条码编号
     */
    @Excel(name = "物料条码编号")
    private String barcodeCode;

    /**
     * 物料名称
     */
    @Excel(name = "物料名称")
    private String materialName;

    /**
     * 入库方式（0-正常，1-异常）
     */
    @Excel(name = "入库方式", readConverterExp = "0=-正常，1-异常")
    private Long entryPattern;

    public void setObjId(Long objId) {
        this.objId = objId;
    }

    public Long getObjId() {
        return objId;
    }

    public void setStoreCode(String storeCode) {
        this.storeCode = storeCode;
    }

    public String getStoreCode() {
        return storeCode;
    }

    public void setStoreArea(String storeArea) {
        this.storeArea = storeArea;
    }

    public String getStoreArea() {
        return storeArea;
    }

    public void setSpaceCode(String spaceCode) {
        this.spaceCode = spaceCode;
    }

    public String getSpaceCode() {
        return spaceCode;
    }

    public void setMaterialType(String materialType) {
        this.materialType = materialType;
    }

    public String getMaterialType() {
        return materialType;
    }

    public void setMaterialCode(String materialCode) {
        this.materialCode = materialCode;
    }

    public String getMaterialCode() {
        return materialCode;
    }

    public void setInStoreAmount(Long inStoreAmount) {
        this.inStoreAmount = inStoreAmount;
    }

    public Long getInStoreAmount() {
        return inStoreAmount;
    }

    public void setInStoreTime(Date inStoreTime) {
        this.inStoreTime = inStoreTime;
    }

    public Date getInStoreTime() {
        return inStoreTime;
    }

    public void setIsFlag(Long isFlag) {
        this.isFlag = isFlag;
    }

    public Long getIsFlag() {
        return isFlag;
    }

    public void setCreatedBy(String createdBy) {
        this.createdBy = createdBy;
    }

    public String getCreatedBy() {
        return createdBy;
    }

    public void setCreatedTime(Date createdTime) {
        this.createdTime = createdTime;
    }

    public Date getCreatedTime() {
        return createdTime;
    }

    public void setUpdatedBy(String updatedBy) {
        this.updatedBy = updatedBy;
    }

    public String getUpdatedBy() {
        return updatedBy;
    }

    public void setUpdatedTime(Date updatedTime) {
        this.updatedTime = updatedTime;
    }

    public Date getUpdatedTime() {
        return updatedTime;
    }

    public void setBarcodeCode(String barcodeCode) {
        this.barcodeCode = barcodeCode;
    }

    public String getBarcodeCode() {
        return barcodeCode;
    }

    public void setMaterialName(String materialName) {
        this.materialName = materialName;
    }

    public String getMaterialName() {
        return materialName;
    }

    public void setEntryPattern(Long entryPattern) {
        this.entryPattern = entryPattern;
    }

    public Long getEntryPattern() {
        return entryPattern;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("objId", getObjId())
                .append("storeCode", getStoreCode())
                .append("storeArea", getStoreArea())
                .append("spaceCode", getSpaceCode())
                .append("materialType", getMaterialType())
                .append("materialCode", getMaterialCode())
                .append("inStoreAmount", getInStoreAmount())
                .append("inStoreTime", getInStoreTime())
                .append("isFlag", getIsFlag())
                .append("createdBy", getCreatedBy())
                .append("createdTime", getCreatedTime())
                .append("updatedBy", getUpdatedBy())
                .append("updatedTime", getUpdatedTime())
                .append("barcodeCode", getBarcodeCode())
                .append("materialName", getMaterialName())
                .append("entryPattern", getEntryPattern())
                .toString();
    }
}
